'Dependencia de plantilla no soportada: Actualiza tu complemento de Android Eclipse' con SDK Tools v22

Recientemente actualizé mis herramientas SDK de Android a la versión 22. Pero cuando estoy intentando crear un nuevo proyecto en Eclipse, aparece un mensaje de error:

Dependencia de plantilla no admitida: actualiza tu complemento de Android Eclipse

¿Como puedo solucionar este problema?

4 Solutions collect form web for “'Dependencia de plantilla no soportada: Actualiza tu complemento de Android Eclipse' con SDK Tools v22”

Descargue desde http://dl-ssl.google.com/android/repository/tools_r22-windows.zip , descomprímalo y reemplace la carpeta / tools por ésta para degradar las herramientas sdk. Hay un error en la versión 22.

Para Mac http://dl-ssl.google.com/android/repository/tools_r22-macosx.zip

Para Linux: http://dl-ssl.google.com/android/repository/tools_r22-linux.zip

El miembro del proyecto publicó el comentario # 55 que resuelve este problema sin descargar las herramientas del SDK. Basta con descargar las plantillas de actividad y reemplazar la carpeta sdk/tools/templates/activities con el contenido del archivo ZIP.

Puede que tenga que reiniciar Eclipse con la opción -clean para que funcione.

Desde Eclipse vaya a Ayuda> Buscar actualizaciones e instalar cualquiera de las actualizaciones que muestra Eclipse.

Una vez que actualice los componentes del SDK siempre necesitará actualizar los complementos de Eclipse también.

Empecé a enfrentar el mismo problema ayer cuando actualizé a las últimas herramientas SDK de Android (22.2). Así que volví atrás los cambios y ahora estoy utilizando Android SDK Tool (22.0.5) y funciona bien.

Intente degradar las herramientas de SDK de Android.

  • ¿Cómo puedo crear aplicaciones para Android que funcionen con Apple Airplay?
  • Error en Facebook sdk de Android durante el inicio de sesión
  • Android - ¿Cuál es la diferencia entre compileSDKVersion "Google Inc.:Google APIs: 22" y "22"?
  • Su dispositivo no es compatible con esta versión para algunos dispositivos
  • Android SDK carpeta que toma un montón de espacio en disco. ¿Necesitamos mantener todas las imágenes del sistema?
  • ¿Puedo desarrollar aplicaciones de Android sin IDE?
  • Compilación de error en SDK "Utilizar Facebook Login"
  • Cómo instalar Android SDK más antiguo en Eclipse
  • Fallo Android Studio
  • java / error de análisis. intentando enviar desde android sdk a Parse
  • Marcar al usuario seleccionado como se ha activado en FriendPicker (Facebook SDK para Android)
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.